<!DOCTYPE configuration PUBLIC "-//mybatis.org//DTD Config 3.0//EN" "HTTP://mybatis.org/dtd/mybatis-3-config.dtd">
<configuration>
	<settings>
		<setting name="aggressiveLazyLoading" value="false"/>
		<setting name="lazyLoadingEnabled" value="false"/>
		<setting name="jdbcTypeForNull" value="NULL"/>
		<setting name="cacheEnabled" value="true"/>
		<setting name="multipleResultSetsEnabled" value="true"/>
		<setting name="useColumnLabel" value="true"/>
		<setting name="useGeneratedKeys" value="false"/>
		<setting name="defaultExecutorType" value="REUSE"/>
		<setting name="defaultStatementTimeout" value="120000"/>
		<setting name="returnInstanceForEmptyRow" value="true"/>

		<setting name="mapUnderscoreToCamelCase" value="false"/>
		<!--<setting name="mapUnderscoreToCamelCase" value="false"/>-->

		<!-- 쿼리 결과 필드가 null 인 경우, 누락이 되서 나오지 않게 설정-->
		<setting name="callSettersOnNulls" value="true"/>

		<!-- 쿼리에 보내는 파라미터가 null 인 경우, 오류가 발생하는 것 방지 -->
		<setting name="jdbcTypeForNull" value="NULL"/>

		<setting name="defaultFetchSize" value="1000"/>

	</settings>

	<typeAliases>
	</typeAliases>

	<typeHandlers>
	</typeHandlers>
</configuration>
